import type { UmbCollectionItemDetailPropertyConfig, UmbCollectionItemModel } from './types.js';
import { UmbLitElement } from '../../lit-element/index.js';
import type { PropertyValueMap } from '../../../../external/lit/index.js';
export declare abstract class UmbEntityCollectionItemElementBase extends UmbLitElement {
    #private;
    constructor();
    protected _component?: any;
    set item(value: UmbCollectionItemModel | undefined);
    get item(): UmbCollectionItemModel | undefined;
    get selectable(): boolean;
    set selectable(value: boolean);
    get selectOnly(): boolean;
    set selectOnly(value: boolean);
    get selected(): boolean;
    set selected(value: boolean);
    get disabled(): boolean;
    set disabled(value: boolean);
    get href(): string | undefined;
    set href(value: string | undefined);
    get detailProperties(): UmbCollectionItemDetailPropertyConfig[] | undefined;
    set detailProperties(value: UmbCollectionItemDetailPropertyConfig[] | undefined);
    protected firstUpdated(_changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    destroy(): void;
    /**
     * Abstract methods that subclasses must implement
     */
    protected abstract getExtensionType(): string;
    protected abstract createFallbackElement(): HTMLElement;
    protected abstract getPathAddendum(entityType: string, unique: string): string;
    protected abstract getMarkAttributeName(): string;
}
